/* approximation of pi (main program) */
/* Copyright 2021 University of Freiburg
 * Author: Peter Thiemann <thiemann@informatik.uni-freiburg.de>
 */

#include "stdio.h"

#include "./ApproximationOfPi.h"

int main(void) {
  int n_max = 10;
  for (int n = 0; n <= n_max; n += 1 ) {
    int k = grid_points_inside(n);
    printf("I found %d points inside circle of radius %d.\n", k, n);
    printf("My idea of pi is %g\n", ((double) k / (n * n)) );
  }
  return 0;
}


